//+-----------------------------------------------------------------+
//| Digital ATR, July 2014 Version                                  |
//+-----------------------------------------------------------------+
#property indicator_chart_window
extern int   Length = 14;
extern int   Size   = 14;
extern color Color  = RoyalBlue;
extern int   X      = 5 ;
extern int   Y      = 10;

//+-------------------------------------------------------+
//| Digital ATR Initialization Function                   |
//+-------------------------------------------------------+
int init()
  {
   return(0);
  }

//+-------------------------------------------------------+
//|Digital ATR Deinitialization Function                  |
//+-------------------------------------------------------+
int deinit()
  {
   ObjectDelete("Digital ATR");
   ObjectDelete("ATR Text"   );
   return(0);
  }

//+-------------------------------------------------------+
//| Digital ATR Main Function                             |
//+-------------------------------------------------------+
int start()
  {
   double ATR = iATR(Symbol(),Period(),Length,0);
   ObjectCreate ("Digital ATR",OBJ_LABEL,0,0 ,0);
   ObjectSet    ("Digital ATR",OBJPROP_CORNER,0);
   ObjectSet    ("Digital ATR",OBJPROP_XDISTANCE,X+80);
   ObjectSet    ("Digital ATR",OBJPROP_YDISTANCE,Y);
   ObjectSetText("Digital ATR",DoubleToStr(ATR,5),Size,"Calibri",Color);
   ObjectCreate ("ATR Text",OBJ_LABEL,0,0 ,0);
   ObjectSet    ("ATR Text",OBJPROP_CORNER,0);
   ObjectSet    ("ATR Text",OBJPROP_XDISTANCE,X);
   ObjectSet    ("ATR Text",OBJPROP_YDISTANCE,Y);
   ObjectSetText("ATR Text","ATR Value:",Size,"Calibri",Color);
   return(0);
  }
//+-------------------------------------------------------+

